This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 201021 - up2date depends on policycoreutils but doesn't enforce it.
up2date depends on policycoreutils but doesn't enforce it.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-02 06:37 EDT by Leon brouwers
Modified: 2012-06-20 12:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:01:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leon brouwers 2006-08-02 06:37:50 EDT
Description of problem:

up2date now has a dependancy on restorecon but doesn't enforce it.

Version-Release number of selected component (if applicable):
4.4.69-25

How reproducible:
always

Steps to Reproduce:
[root@sly rhn-update]# rpm -Uvh --force up2date-4.4.69-25.i386.rpm 
Preparing...                ########################################### [100%]
   1:up2date                ########################################### [100%]
/var/tmp/rpm-tmp.21010: line 11: restorecon: command not found
error: %post(up2date-4.4.69-25.i386) scriptlet failed, exit status 127

Fixed by:
[root@sly rhn-update]# rpm -Uvh ../RHES4-update3/RedHat/RPMS/policycoreutils-
1.18.1-4.9.i386.rpm 
Preparing...                ########################################### [100%]
   1:policycoreutils        ########################################### [100%]
[root@sly rhn-update]# rpm -Uvh --force up2date-4.4.69-25.i386.rpm 
Preparing...                ########################################### [100%]
   1:up2date                ########################################### [100%]
Comment 1 Red Hat Bugzilla 2007-04-11 21:01:37 EDT
User bnackash@redhat.com's account has been closed
Comment 2 Jiri Pallich 2012-06-20 12:01:06 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.